# Method: accounts.accountLinks.get

- [HTTP request](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/get#body.request_body)
- [Response body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/get#body.response_body)
- [Authorization scopes](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/get#body.aspect)

Returns the `AccountLink` instance associated with the account link resource name specified in the request URL. To get account link resource names, use the `list` method.

### HTTP request

`GET https://travelpartner.googleapis.com/v3/{name=accounts/*/accountLinks/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The resource name of an account link. The format is `accounts/{account_id}/accountLinks/{account_link_id}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks#AccountLink`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/travelpartner`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).